# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.emf.compare.AttributeChange
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.CompareFactory
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.ComparePackage
Modifier and Type
Constant Field
Value
`public static final int`
`ATTRIBUTE_CHANGE`
`7`
`public static final int`
`ATTRIBUTE_CHANGE__ATTRIBUTE`
`13`
`public static final int`
`ATTRIBUTE_CHANGE__CONFLICT`
`12`
`public static final int`
`ATTRIBUTE_CHANGE__EQUIVALENCE`
`11`
`public static final int`
`ATTRIBUTE_CHANGE__IMPLIED_BY`
`4`
`public static final int`
`ATTRIBUTE_CHANGE__IMPLIES`
`3`
`public static final int`
`ATTRIBUTE_CHANGE__KIND`
`8`
`public static final int`
`ATTRIBUTE_CHANGE__MATCH`
`0`
`public static final int`
`ATTRIBUTE_CHANGE__PRIME_REFINING`
`7`
`public static final int`
`ATTRIBUTE_CHANGE__REFINED_BY`
`6`
`public static final int`
`ATTRIBUTE_CHANGE__REFINES`
`5`
`public static final int`
`ATTRIBUTE_CHANGE__REQUIRED_BY`
`2`
`public static final int`
`ATTRIBUTE_CHANGE__REQUIRES`
`1`
`public static final int`
`ATTRIBUTE_CHANGE__SOURCE`
`9`
`public static final int`
`ATTRIBUTE_CHANGE__STATE`
`10`
`public static final int`
`ATTRIBUTE_CHANGE__VALUE`
`14`
`public static final int`
`ATTRIBUTE_CHANGE_FEATURE_COUNT`
`15`
`public static final int`
`COMPARISON`
`0`
`public static final int`
`COMPARISON__CONFLICTS`
`2`
`public static final int`
`COMPARISON__DIAGNOSTIC`
`5`
`public static final int`
`COMPARISON__EQUIVALENCES`
`3`
`public static final int`
`COMPARISON__MATCHED_RESOURCES`
`0`
`public static final int`
`COMPARISON__MATCHES`
`1`
`public static final int`
`COMPARISON__THREE_WAY`
`4`
`public static final int`
`COMPARISON_FEATURE_COUNT`
`6`
`public static final int`
`CONFLICT`
`9`
`public static final int`
`CONFLICT__DIFFERENCES`
`1`
`public static final int`
`CONFLICT__KIND`
`0`
`public static final int`
`CONFLICT_FEATURE_COUNT`
`2`
`public static final int`
`CONFLICT_KIND`
`14`
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
`public static final int`
`DIAGNOSTIC`
`17`
`public static final int`
`DIFF`
`3`
`public static final int`
`DIFF__CONFLICT`
`12`
`public static final int`
`DIFF__EQUIVALENCE`
`11`
`public static final int`
`DIFF__IMPLIED_BY`
`4`
`public static final int`
`DIFF__IMPLIES`
`3`
`public static final int`
`DIFF__KIND`
`8`
`public static final int`
`DIFF__MATCH`
`0`
`public static final int`
`DIFF__PRIME_REFINING`
`7`
`public static final int`
`DIFF__REFINED_BY`
`6`
`public static final int`
`DIFF__REFINES`
`5`
`public static final int`
`DIFF__REQUIRED_BY`
`2`
`public static final int`
`DIFF__REQUIRES`
`1`
`public static final int`
`DIFF__SOURCE`
`9`
`public static final int`
`DIFF__STATE`
`10`
`public static final int`
`DIFF_FEATURE_COUNT`
`13`
`public static final int`
`DIFFERENCE_KIND`
`11`
`public static final int`
`DIFFERENCE_SOURCE`
`12`
`public static final int`
`DIFFERENCE_STATE`
`13`
`public static final int`
`EITERABLE`
`15`
`public static final String`
`eNAME`
`"compare"`
`public static final String`
`eNS_PREFIX`
`"compare"`
`public static final String`
`eNS_URI`
`"http://www.eclipse.org/emf/compare"`
`public static final int`
`EQUIVALENCE`
`10`
`public static final int`
`EQUIVALENCE__DIFFERENCES`
`0`
`public static final int`
`EQUIVALENCE_FEATURE_COUNT`
`1`
`public static final int`
`FEATURE_MAP_CHANGE`
`8`
`public static final int`
`FEATURE_MAP_CHANGE__ATTRIBUTE`
`13`
`public static final int`
`FEATURE_MAP_CHANGE__CONFLICT`
`12`
`public static final int`
`FEATURE_MAP_CHANGE__EQUIVALENCE`
`11`
`public static final int`
`FEATURE_MAP_CHANGE__IMPLIED_BY`
`4`
`public static final int`
`FEATURE_MAP_CHANGE__IMPLIES`
`3`
`public static final int`
`FEATURE_MAP_CHANGE__KIND`
`8`
`public static final int`
`FEATURE_MAP_CHANGE__MATCH`
`0`
`public static final int`
`FEATURE_MAP_CHANGE__PRIME_REFINING`
`7`
`public static final int`
`FEATURE_MAP_CHANGE__REFINED_BY`
`6`
`public static final int`
`FEATURE_MAP_CHANGE__REFINES`
`5`
`public static final int`
`FEATURE_MAP_CHANGE__REQUIRED_BY`
`2`
`public static final int`
`FEATURE_MAP_CHANGE__REQUIRES`
`1`
`public static final int`
`FEATURE_MAP_CHANGE__SOURCE`
`9`
`public static final int`
`FEATURE_MAP_CHANGE__STATE`
`10`
`public static final int`
`FEATURE_MAP_CHANGE__VALUE`
`14`
`public static final int`
`FEATURE_MAP_CHANGE_FEATURE_COUNT`
`15`
`public static final int`
`IEQUALITY_HELPER`
`16`
`public static final int`
`MATCH`
`2`
`public static final int`
`MATCH__DIFFERENCES`
`1`
`public static final int`
`MATCH__LEFT`
`2`
`public static final int`
`MATCH__ORIGIN`
`4`
`public static final int`
`MATCH__RIGHT`
`3`
`public static final int`
`MATCH__SUBMATCHES`
`0`
`public static final int`
`MATCH_FEATURE_COUNT`
`5`
`public static final int`
`MATCH_RESOURCE`
`1`
`public static final int`
`MATCH_RESOURCE__COMPARISON`
`6`
`public static final int`
`MATCH_RESOURCE__LEFT`
`3`
`public static final int`
`MATCH_RESOURCE__LEFT_URI`
`0`
`public static final int`
`MATCH_RESOURCE__LOCATION_CHANGES`
`7`
`public static final int`
`MATCH_RESOURCE__ORIGIN`
`5`
`public static final int`
`MATCH_RESOURCE__ORIGIN_URI`
`2`
`public static final int`
`MATCH_RESOURCE__RIGHT`
`4`
`public static final int`
`MATCH_RESOURCE__RIGHT_URI`
`1`
`public static final int`
`MATCH_RESOURCE_FEATURE_COUNT`
`8`
`public static final int`
`REFERENCE_CHANGE`
`6`
`public static final int`
`REFERENCE_CHANGE__CONFLICT`
`12`
`public static final int`
`REFERENCE_CHANGE__EQUIVALENCE`
`11`
`public static final int`
`REFERENCE_CHANGE__IMPLIED_BY`
`4`
`public static final int`
`REFERENCE_CHANGE__IMPLIES`
`3`
`public static final int`
`REFERENCE_CHANGE__KIND`
`8`
`public static final int`
`REFERENCE_CHANGE__MATCH`
`0`
`public static final int`
`REFERENCE_CHANGE__PRIME_REFINING`
`7`
`public static final int`
`REFERENCE_CHANGE__REFERENCE`
`13`
`public static final int`
`REFERENCE_CHANGE__REFINED_BY`
`6`
`public static final int`
`REFERENCE_CHANGE__REFINES`
`5`
`public static final int`
`REFERENCE_CHANGE__REQUIRED_BY`
`2`
`public static final int`
`REFERENCE_CHANGE__REQUIRES`
`1`
`public static final int`
`REFERENCE_CHANGE__SOURCE`
`9`
`public static final int`
`REFERENCE_CHANGE__STATE`
`10`
`public static final int`
`REFERENCE_CHANGE__VALUE`
`14`
`public static final int`
`REFERENCE_CHANGE_FEATURE_COUNT`
`15`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE`
`4`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__CONFLICT`
`12`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__EQUIVALENCE`
`11`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__IMPLIED_BY`
`4`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__IMPLIES`
`3`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__KIND`
`8`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__MATCH`
`0`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__PRIME_REFINING`
`7`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__REFINED_BY`
`6`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__REFINES`
`5`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__REQUIRED_BY`
`2`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__REQUIRES`
`1`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI`
`13`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__SOURCE`
`9`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE__STATE`
`10`
`public static final int`
`RESOURCE_ATTACHMENT_CHANGE_FEATURE_COUNT`
`14`
`public static final int`
`RESOURCE_LOCATION_CHANGE`
`5`
`public static final int`
`RESOURCE_LOCATION_CHANGE__BASE_LOCATION`
`13`
`public static final int`
`RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION`
`14`
`public static final int`
`RESOURCE_LOCATION_CHANGE__CONFLICT`
`12`
`public static final int`
`RESOURCE_LOCATION_CHANGE__EQUIVALENCE`
`11`
`public static final int`
`RESOURCE_LOCATION_CHANGE__IMPLIED_BY`
`4`
`public static final int`
`RESOURCE_LOCATION_CHANGE__IMPLIES`
`3`
`public static final int`
`RESOURCE_LOCATION_CHANGE__KIND`
`8`
`public static final int`
`RESOURCE_LOCATION_CHANGE__MATCH`
`0`
`public static final int`
`RESOURCE_LOCATION_CHANGE__PRIME_REFINING`
`7`
`public static final int`
`RESOURCE_LOCATION_CHANGE__REFINED_BY`
`6`
`public static final int`
`RESOURCE_LOCATION_CHANGE__REFINES`
`5`
`public static final int`
`RESOURCE_LOCATION_CHANGE__REQUIRED_BY`
`2`
`public static final int`
`RESOURCE_LOCATION_CHANGE__REQUIRES`
`1`
`public static final int`
`RESOURCE_LOCATION_CHANGE__SOURCE`
`9`
`public static final int`
`RESOURCE_LOCATION_CHANGE__STATE`
`10`
`public static final int`
`RESOURCE_LOCATION_CHANGE_FEATURE_COUNT`
`15`
org.eclipse.emf.compare.Comparison
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.Conflict
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.ConflictKind
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
`public static final int`
`PSEUDO_VALUE`
`1`
`public static final int`
`REAL_VALUE`
`0`
org.eclipse.emf.compare.Diff
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.DifferenceKind
Modifier and Type
Constant Field
Value
`public static final int`
`ADD_VALUE`
`0`
`public static final int`
`CHANGE_VALUE`
`2`
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
`public static final int`
`DELETE_VALUE`
`1`
`public static final int`
`MOVE_VALUE`
`3`
org.eclipse.emf.compare.DifferenceSource
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
`public static final int`
`LEFT_VALUE`
`0`
`public static final int`
`RIGHT_VALUE`
`1`
org.eclipse.emf.compare.DifferenceState
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
`public static final int`
`DISCARDED_VALUE`
`2`
`public static final int`
`MERGED_VALUE`
`1`
`public static final int`
`MERGING_VALUE`
`3`
`public static final int`
`UNRESOLVED_VALUE`
`0`
org.eclipse.emf.compare.EMFCompare
Modifier and Type
Constant Field
Value
`public static final String`
`DIAGNOSTIC_SOURCE`
`"org.eclipse.emf.compare"`
org.eclipse.emf.compare.Equivalence
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.FeatureMapChange
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.Match
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.MatchResource
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.ReferenceChange
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.ResourceAttachmentChange
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.ResourceLocationChange
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`

org.eclipse.emf.compare.adapterfactory.context.IContextTester
Modifier and Type
Constant Field
Value
`public static final String`
`CTX_COMPARISON`
`"comparison"`

org.eclipse.emf.compare.ide.EMFCompareIDEPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.emf.compare.ide"`

org.eclipse.emf.compare.ide.internal.hook.ResourceSetHookRegistryListener
Modifier and Type
Constant Field
Value
`public static final String`
`EXT_ID`
`"resourceSetHook"`

org.eclipse.emf.compare.ide.internal.utils.DisposableResourceSet
Modifier and Type
Constant Field
Value
`public static final String`
`XTEXT_SCOPING_LIVE_SCOPE_OPTION`
`"org.eclipse.xtext.scoping.LIVE_SCOPE"`

org.eclipse.emf.compare.ide.ui.internal.EMFCompareIDEUIPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.emf.compare.ide.ui"`

org.eclipse.emf.compare.ide.ui.internal.configuration.EMFCompareConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_FILTERS`
`"org.eclipse.emf.compare.ide.ui.DISPLAY_FILTERS"`
`public static final String`
`DISPLAY_GROUP_PROVIDERS`
`"org.eclipse.emf.compare.ide.ui.DISPLAY_GROUP_PROVIDERS"`
`public static final String`
`DISPLAY_SAVE_ACTION`
`"org.eclipse.emf.compare.ide.ui.DISPLAY_SAVE_ACTION"`
`public static final String`
`DISPLAY_SELECT_UNRESOLVED_DIFF_ACTIONS`
`"org.eclipse.emf.compare.ide.ui.DISPLAY_SELECT_UNRESOLVED_DIFF_ACTIONS"`
`public static final String`
`MIRRORED`
`"MIRRORED"`

org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.EMFCompareContentMergeViewer
Modifier and Type
Constant Field
Value
`protected static final int`
`CENTER_WIDTH`
`34`

org.eclipse.emf.compare.ide.ui.internal.logical.EMFModelProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROVIDER_ID`
`"org.eclipse.emf.compare.model.provider"`
org.eclipse.emf.compare.ide.ui.internal.logical.SimilarityComputer
Modifier and Type
Constant Field
Value
`public static final int`
`MINIMUM_LENGTH`
`1024`
`public static final double`
`THRESHOLD`
`0.3`
`public static final double`
`THRESHOLD_SIZE_RATIO`
`0.1`

org.eclipse.emf.compare.ide.ui.internal.preferences.EditorPreferencePage
Modifier and Type
Constant Field
Value
`public static final String`
`PAGE_ID`
`"org.eclipse.emf.compare.ide.ui.preferencepage.editor"`
org.eclipse.emf.compare.ide.ui.internal.preferences.EMFCompareUIPreferences
Modifier and Type
Constant Field
Value
`public static final String`
`DISABLE_RESOLVERS_PREFERENCE`
`"org.eclipse.emf.compare.ide.ui.preference.disableResolving"`
`public static final String`
`DISABLE_THREADING_PREFERENCE`
`"org.eclipse.emf.compare.ide.ui.preference.disableThreading"`
`public static final String`
`EDITOR_TREE_AUTO_EXPAND_LEVEL`
`"org.eclipse.emf.compare.ide.ui.preference.editor.tree.expand.level"`
`public static final String`
`EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE`
`"org.eclipse.emf.compare.ide.ui.preference.editor.tree.selection.firstChange"`
`public static final String`
`EDITOR_TREE_EXPAND_TIMEOUT`
`"org.eclipse.emf.compare.ide.ui.preference.editor.tree.expand.timeout"`
`public static final String`
`EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES`
`"org.eclipse.emf.compare.ide.ui.preference.editor.tree.highlight"`
`public static final String`
`ENABLE_MODEL_RESOLUTION_FROM_CONTAINERS`
`"org.eclipse.emf.compare.ide.ui.preference.enableModelResolutionFromContainers"`
`public static final String`
`MODEL_PROVIDER_CACHE_TIMEOUT`
`"org.eclipse.emf.compare.ide.ui.preference.model.provider.cache.timeout"`
`public static final String`
`PRE_MERGE_MODELS_WHEN_CONFLICT`
`"org.eclipse.emf.compare.ide.ui.preference.preMergeOnConflict"`
`public static final String`
`RESOLUTION_SCOPE_PREFERENCE`
`"org.eclipse.emf.compare.ide.ui.preference.resolutionScope"`
`public static final String`
`SELECT_NEXT_UNRESOLVED_DIFF`
`"org.eclipse.emf.compare.ide.ui.preference.selectNextUnresolvedDiff"`

org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.Navigatable
Modifier and Type
Constant Field
Value
`public static final int`
`NEXT_UNRESOLVED_CHANGE`
`80`
`public static final int`
`PREVIOUS_UNRESOLVED_CHANGE`
`81`

org.eclipse.emf.compare.ide.ui.mergeresolution.MergeResolutionManager
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_POINT`
`"org.eclipse.emf.compare.ide.ui.mergeResolutionListener"`

org.eclipse.emf.compare.impl.AttributeChangeImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.CompareFactoryImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.ComparePackageImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.ComparisonImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
`protected static final boolean`
`THREE_WAY_EDEFAULT`
`false`
org.eclipse.emf.compare.impl.ConflictImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.DiffImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.EquivalenceImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.FeatureMapChangeImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.MatchImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.MatchResourceImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.ReferenceChangeImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.ResourceAttachmentChangeImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.impl.ResourceLocationChangeImpl
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`

org.eclipse.emf.compare.match.DefaultMatchEngine
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_EOBJECT_URI_CACHE_MAX_SIZE`
`1024`

org.eclipse.emf.compare.match.eobject.AbstractWeightProvider
Modifier and Type
Constant Field
Value
`public static final int`
`MAJOR`
`150`
`public static final int`
`MASSIVE`
`350`
`public static final int`
`NORMAL`
`10`
`public static final int`
`SIGNIFICANT`
`20`
`public static final int`
`SMALL`
`5`
`public static final int`
`UNLIKELY_TO_MATCH`
`1000`

org.eclipse.emf.compare.merge.AbstractMerger
Modifier and Type
Constant Field
Value
`public static final String`
`SUB_DIFF_AWARE_OPTION`
`"subDiffAwareOption"`
org.eclipse.emf.compare.merge.IMergeCriterion
Modifier and Type
Constant Field
Value
`public static final String`
`OPTION_MERGE_CRITERION`
`"merge.criterion"`

org.eclipse.emf.compare.provider.AttributeChangeItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.CompareItemProviderAdapterFactory
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.ComparisonItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.ConflictItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.DiffItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.EMFCompareEditPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
`public static final String`
`PLUGIN_ID`
`"org.eclipse.emf.compare.edit"`
org.eclipse.emf.compare.provider.EquivalenceItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.FeatureMapChangeItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.MatchItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.MatchResourceItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.ReferenceChangeItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.ResourceAttachmentChangeItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.provider.ResourceLocationChangeItemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`

org.eclipse.emf.compare.rcp.EMFCompareRCPPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`CONFLICT_DETECTOR_PPID`
`"conflictsDetector"`
`public static final String`
`DIFF_ENGINE_PPID`
`"diffEngine"`
`public static final String`
`EQUALITY_HELPER_EXTENSION_PROVIDER_PPID`
`"equalityHelperExtensionProvider"`
`public static final String`
`EQUI_ENGINE_PPID`
`"equiEngine"`
`public static final String`
`FACTORY_PPID`
`"adapterFactory"`
`public static final String`
`LOAD_ON_DEMAND_POLICY_PPID`
`"loadOnDemandPolicy"`
`public static final String`
`MATCH_ENGINE_PPID`
`"matchEngine"`
`public static final String`
`MERGER_PPID`
`"merger"`
`public static final String`
`PLUGIN_ID`
`"org.eclipse.emf.compare.rcp"`
`public static final String`
`POST_PROCESSOR_PPID`
`"postProcessor"`
`public static final String`
`REQ_ENGINE_PPID`
`"reqEngine"`
`public static final String`
`WEIGHT_PROVIDER_PPID`
`"weightProvider"`

org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor<T>
Modifier and Type
Constant Field
Value
`protected static final String`
`EMPTY_STRING`
`""`
org.eclipse.emf.compare.rcp.internal.extension.impl.DescriptorRegistryEventListener<T>
Modifier and Type
Constant Field
Value
`public static final String`
`DESCRITPION_DESCRIPTOR_ATTR`
`"description"`
`public static final String`
`ID_DESCRIPTOR_ATTR`
`"id"`
`public static final String`
`IMPL_CLASS_DESCRIPTOR_ATTR`
`"impl"`
`public static final String`
`LABEL_DESCRIPTOR_ATTR`
`"label"`
`public static final String`
`RANK_DESCRIPTOR_ATTR`
`"ranking"`
`public static final String`
`TAG_DESCRIPTOR`
`"descriptor"`
org.eclipse.emf.compare.rcp.internal.extension.impl.ItemUtil
Modifier and Type
Constant Field
Value
`public static final String`
`PREFERENCE_DELIMITER`
`";"`

org.eclipse.emf.compare.rcp.internal.match.DefaultRCPMatchEngineFactory
Modifier and Type
Constant Field
Value
`public static final String`
`USE_IDENTIFIER_ATTR`
`"UseIdentifier"`
org.eclipse.emf.compare.rcp.internal.match.EqualityHelperExtensionProviderDescriptorRegistryListener
Modifier and Type
Constant Field
Value
`public static final String`
`ATT_CLASS`
`"class"`
org.eclipse.emf.compare.rcp.internal.match.MatchEngineFactoryRegistryListener
Modifier and Type
Constant Field
Value
`public static final String`
`ATT_CLASS`
`"class"`
org.eclipse.emf.compare.rcp.internal.match.WeightProviderDescriptorRegistryListener
Modifier and Type
Constant Field
Value
`public static final String`
`ATT_CLASS`
`"class"`

org.eclipse.emf.compare.rcp.internal.preferences.EMFComparePreferences
Modifier and Type
Constant Field
Value
`public static final String`
`CONFLICTS_DETECTOR`
`"org.eclipse.emf.compare.preference.conflict.detector"`
`public static final String`
`DIFF_ENGINES`
`"org.eclipse.emf.compare.preference.diff.engine"`
`public static final String`
`DISABLED_ADAPTER_FACTORY`
`"org.eclipse.emf.compare.preference.disabled.adapter.factories"`
`public static final String`
`DISABLED_POST_PROCESSOR`
`"org.eclipse.emf.compare.preference.postprocessor.disabled"`
`public static final String`
`EQUI_ENGINES`
`"org.eclipse.emf.compare.preference.equi.engine"`
`public static final String`
`LOG_LEVEL_DEFAULT`
`"OFF"`
`public static final String`
`LOG_LEVEL_KEY`
`"org.eclipse.emf.compare.log.level"`
`public static final String`
`MATCH_ENGINE_DISABLE_ENGINES`
`"org.eclipse.emf.compare.preference.match.engine"`
`public static final String`
`REQ_ENGINES`
`"org.eclipse.emf.compare.preference.req.engine"`

org.eclipse.emf.compare.rcp.ui.EMFCompareRCPUIPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESSOR_FACTORY_PPID`
`"accessorFactory"`
`public static final String`
`DIFFERENCE_GROUP_EXTENDER_PPID`
`"differenceGroupExtender"`
`public static final String`
`FILTER_PROVIDER_PPID`
`"filters"`
`public static final String`
`GROUP_PROVIDER_PPID`
`"groups"`
`public static final String`
`PLUGIN_ID`
`"org.eclipse.emf.compare.rcp.ui"`

org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement
Modifier and Type
Constant Field
Value
`public static final String`
`FOLDER_TYPE`
`"FOLDER"`
`public static final String`
`TEXT_TYPE`
`"txt"`
`public static final String`
`UNKNOWN_TYPE`
`"???"`

org.eclipse.emf.compare.rcp.ui.internal.EMFCompareConstants
Modifier and Type
Constant Field
Value
`public static final short`
`LIST_SIZE_INSERTION_POINT_THRESHOLD`
`10000`
`public static final String`
`NODE_TYPE__EMF_EOBJECT`
`"NODE_TYPE__EMF_EOBJECT"`
`public static final String`
`NODE_TYPE__EMF_RESOURCE`
`"NODE_TYPE__EMF_RESOURCE"`
`public static final String`
`NODE_TYPE__EMF_RESOURCESET`
`"NODE_TYPE__EMF_RESOURCESET"`

org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.TypeConstants
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_ELIST_DIFF`
`"org.eclipse.emf.compare.rcp.ui.eListDiff"`
`public static final String`
`TYPE_EMATCH`
`"org.eclipse.emf.compare.rcp.ui.eMatch"`
`public static final String`
`TYPE_ERESOURCE_DIFF`
`"org.eclipse.emf.compare.rcp.ui.eResourceDiff"`
`public static final String`
`TYPE_ETEXT_DIFF`
`"org.eclipse.emf.compare.rcp.ui.eTextDiff"`
`public static final String`
`TYPE_ETREE_DIFF`
`"org.eclipse.emf.compare.rcp.ui.eTreeDiff"`
`public static final String`
`TYPE_FALLBACK_TEXT`
`"org.eclipse.emf.compare.rcp.ui.fallbackText"`

org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.legacy.impl.TypedNotifier
Modifier and Type
Constant Field
Value
`public static final String`
`NODE_TYPE_EMF_COMPARISON`
`"NODE_TYPE__EMF_COMPARISON"`
`public static final String`
`NODE_TYPE_EMF_EOBJECT`
`"NODE_TYPE__EMF_EOBJECT"`
`public static final String`
`NODE_TYPE_EMF_RESOURCE`
`"NODE_TYPE__EMF_RESOURCE"`
`public static final String`
`NODE_TYPE_EMF_RESOURCESET`
`"NODE_TYPE__EMF_RESOURCESET"`

org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.CompareColorImpl
Modifier and Type
Constant Field
Value
`public static final String`
`CONFLICTING_CHANGE_COLOR_THEME_KEY`
`"org.eclipse.emf.compare.conflictingChangeColor"`
`public static final String`
`INCOMING_CHANGE_COLOR_THEME_KEY`
`"org.eclipse.emf.compare.incomingChangeColor"`
`public static final String`
`OUTGOING_CHANGE_COLOR_THEME_KEY`
`"org.eclipse.emf.compare.outgoingChangeColor"`
`public static final String`
`REQUIRED_DIFF_COLOR_THEME_KEY`
`"org.eclipse.emf.compare.requiredChangeColor"`
`public static final String`
`UNMERGEABLE_DIFF_COLOR_THEME_KEY`
`"org.eclipse.emf.compare.unmergeableChangeColor"`

org.eclipse.emf.compare.rcp.ui.internal.preferences.DataHolder<T>
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_FIELD_NAME`
`"data"`
org.eclipse.emf.compare.rcp.ui.internal.preferences.FiltersPreferencePage
Modifier and Type
Constant Field
Value
`public static final String`
`PAGE_ID`
`"org.eclipse.emf.compare.rcp.ui.preferencePage.filters"`
`public static final String`
`SYNCHRONIZATION_BEHAVIOR`
`"org.eclipse.emf.compare.rcp.ui.filters.syncbehavior"`
org.eclipse.emf.compare.rcp.ui.internal.preferences.GroupsPreferencePage
Modifier and Type
Constant Field
Value
`public static final String`
`PAGE_ID`
`"org.eclipse.emf.compare.rcp.ui.preferencePage.groups"`

org.eclipse.emf.compare.rcp.ui.internal.util.ResourceUIUtil
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCES_GRAPH_ID`
`"org.eclipse.emf.compare.resources.graph"`

org.eclipse.emf.compare.util.CompareAdapterFactory
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`
org.eclipse.emf.compare.util.CompareSwitch<T>
Modifier and Type
Constant Field
Value
`public static final String`
`copyright`
`"Copyright (c) 2012 Obeo.\r\nAll rights reserved. This program and the accompanying materials\r\nare made available under the terms of the Eclipse Public License v1.0\r\nwhich accompanies this distribution, and is available at\r\nhttp://www.eclipse.org/legal/epl-v10.html\r\n\r\nContributors:\r\n Obeo - initial API and implementation"`